org.richfaces.validator

## Class FacesValidatorServiceImpl

- java.lang.Object
- - org.richfaces.validator.FacesServiceBase<javax.faces.validator.Validator>
  - - org.richfaces.validator.FacesValidatorServiceImpl

- All Implemented Interfaces:
    FacesValidatorService

      public class FacesValidatorServiceImpl
      extends FacesServiceBase<javax.faces.validator.Validator>
      implements FacesValidatorService

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacesValidatorServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillParameters(BaseFacesObjectDescriptor<javax.faces.validator.Validator> descriptor, javax.faces.validator.Validator component)`
    `protected String` | `getMessageId(javax.faces.validator.Validator component)`
    `ValidatorDescriptor` | `getValidatorDescription(javax.faces.context.FacesContext context, javax.faces.component.EditableValueHolder input, javax.faces.validator.Validator validator, String validatorMessage)`

    - ### Methods inherited from class org.richfaces.validator.FacesServiceBase

      `getMessage, setLabelParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacesValidatorServiceImpl

          public FacesValidatorServiceImpl()

  - ### Method Detail

    - #### getValidatorDescription

          public ValidatorDescriptor getValidatorDescription(javax.faces.context.FacesContext context,
                                                             javax.faces.component.EditableValueHolder input,
                                                             javax.faces.validator.Validator validator,
                                                             String validatorMessage)

      Specified by:
        `getValidatorDescription` in interface `FacesValidatorService`

    - #### getMessageId

          protected String getMessageId(javax.faces.validator.Validator component)

      Specified by:
        `getMessageId` in class `FacesServiceBase<javax.faces.validator.Validator>`

    - #### fillParameters

          protected void fillParameters(BaseFacesObjectDescriptor<javax.faces.validator.Validator> descriptor,
                                        javax.faces.validator.Validator component)

      Overrides:
        `fillParameters` in class `FacesServiceBase<javax.faces.validator.Validator>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.